  function [llike] = loglike(d,w, wp, dp, nstart, nend, dstart)
% function [llike] = loglike(d,w, wp, dp, dstart)

[W,T] = size(wp);

%betaPhi  = repmat(beta,W,1) .* phi;       % dirichlet prior
alpha = 0.1;
beta = 0.01;



%------------------------------
% compute prob_w_given_t and prob_t_given_d
%------------------------------
wp  = wp + beta;
%wp = wp + beta / W;
fac = 1 ./ sum(wp,1);
wp  = wp * diag(fac);

dp  = dp + alpha;
fac = 1 ./ sum(dp,2);
%dp = diag(fac) * dp; Out of memory. Type HELP MEMORY
for t=1:T
  dp(:,t) = dp(:,t) .* fac;
end

%------------------------------
% comptue llike
%------------------------------
llike = 0;
%[d,w,c] = find(X);
for i=nstart:nend
  llike = llike +  log(wp(w(i),:) * dp(d(i) - dstart + 1,:)');
end

%pplex = exp(-llike/(nend - nstart + 1));
